<template>
  <section :class="spacingClass">
    <label
      v-if="label"
      class="text-lg text-gray-500 pb-1"
    >
      {{ label }}
    </label>

    <slot />
  </section>
</template>

<script setup lang="ts">
import { computed } from 'vue';

type FormRowSpacing = 'default' | 'compact' | 'large' | 'xl';
type FormRowProps = {
  label?: string;
  spacing?: FormRowSpacing;
}

const props = withDefaults(defineProps<FormRowProps>(), {
  label: '',
  spacing: 'default',
});

const spacingClass = computed(() => {
  if (props.spacing === 'xl') return 'pt-16';
  if (props.spacing === 'large') return 'pt-8';
  if (props.spacing === 'compact') return 'pt-2';
  return 'pt-4';
});
</script>